package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF2A0Data {

    private Map<String, Object> params;
    
    public MWF2A0Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsCmId() {
        return (String) params.get("RS_CM_ID");
    }

    public String rsItemtype() {
        return (String) params.get("RS_ITEMTYPE");
    }

    public String rsSemanticType() {
        return (String) params.get("RS_SEMANTIC_TYPE");
    }

    public String rsCrtUsr() {
        return (String) params.get("RS_CRT_USR");
    }

    public java.util.Date rsCrtTime() {
        return (java.util.Date) params.get("RS_CRT_TIME");
    }

    public String rsChgUsr() {
        return (String) params.get("RS_CHG_USR");
    }

    public java.util.Date rsChgTime() {
        return (java.util.Date) params.get("RS_CHG_TIME");
    }

    public String rsChckoutUsr() {
        return (String) params.get("RS_CHCKOUT_USR");
    }

    public java.util.Date rsChckoutTime() {
        return (java.util.Date) params.get("RS_CHCKOUT_TIME");
    }

    public String rsBinPartId() {
        return (String) params.get("RS_BIN_PART_ID");
    }

    public String rsBinPartVersion() {
        return (String) params.get("RS_BIN_PART_VERSION");
    }

    public String rsIdzadosti() {
        return (String) params.get("RS_IDZADOSTI");
    }

    public Long rsTypdokladu() {
        return (Long) params.get("RS_TYPDOKLADU");
    }

    public Long rsKategoriedokladu() {
        return (Long) params.get("RS_KATEGORIEDOKLADU");
    }

    public String rsZdrojdokumentu() {
        return (String) params.get("RS_ZDROJDOKUMENTU");
    }

    public String rsCmUrl() {
        return (String) params.get("RS_CM_URL");
    } 

}
